using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization.Formatters.Binary;
using System.Text;
using System.Threading.Tasks;

namespace _10_Hamming {
	internal static class Calculations {
		public static int GetHammingDistance(string str0, string str1) {
			var ret = 0;

			if (str0.Length > str1.Length) {
				ret += str0.Length - str1.Length;
				str0 = str0[..str1.Length];
			} else if (str0.Length < str1.Length) {
				ret += str1.Length - str0.Length;
				str1 = str1[..str0.Length];
			}

			for (var i = 0; i < str0.Length; i++) {
				if (str0[i] != str1[i]) ret++;
			}

			return ret;
		}
	}
}
